Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.echocomp
Class SolidLabel

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Label
              ch.uzh.ifi.attempto.echocomp.Label
                  ch.uzh.ifi.attempto.echocomp.SolidLabel

All Implemented Interfaces:
  java.io.Serializable, nextapp.echo2.app.RenderIdSupport

    public class SolidLabel

extends Label

This is a convenience class for easy creation of labels with no line wrap.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Label
`PROPERTY_ICON, PROPERTY_ICON_TEXT_MARGIN, PROPERTY_LINE_WRAP, PROPERTY_TEXT, PROPERTY_TEXT_ALIGNMENT, PROPERTY_TEXT_POSITION, PROPERTY_TOOL_TIP_TEXT`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`SolidLabel()` Creates a new empty label.
`SolidLabel(nextapp.echo2.app.ImageReference image)` Creates a new label containing only an image.
`SolidLabel(java.lang.String text)` Creates a new label.
`SolidLabel(java.lang.String text, int style)` Creates a new label of the given style.
`SolidLabel(java.lang.String text, int style, int size)` Creates a new label of the given style with the given text size.

Method Summary

Methods inherited from class nextapp.echo2.app.Label
`getIcon, getIconTextMargin, getText, getTextAlignment, getTextPosition, getToolTipText, isLineWrap, isValidChild, setIcon, setIconTextMargin, setLineWrap, setText, setTextAlignment, setTextPosition, setToolTipText`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolidLabel

    public SolidLabel()

  Creates a new empty label.

### SolidLabel

    public SolidLabel(nextapp.echo2.app.ImageReference image)

  Creates a new label containing only an image.

  Parameters:
    `image` - The image.

### SolidLabel

    public SolidLabel(java.lang.String text)

  Creates a new label.

  Parameters:
    `text` - The text of the label.

### SolidLabel

    public SolidLabel(java.lang.String text,
                      int style)

  Creates a new label of the given style.

  Parameters:
    `text` - The text of the label.
    `style` - The style of the label.

### SolidLabel

    public SolidLabel(java.lang.String text,
                      int style,
                      int size)

  Creates a new label of the given style with the given text size.

  Parameters:
    `text` - The text of the label.
    `style` - The style of the label.
    `size` - The size of the text.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)